"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n  position: relative;\n  width: 100%;\n  color: ", ";\n  background-color: transparent;\n  appearance: none;\n  border: none;\n  font-family: ", ";\n  font-size: ", ";\n  font-weight: ", ";\n  text-transform: ", ";\n  font-style: ", ";\n  border-radius: 0.3rem;\n  cursor: pointer;\n  outline: none;\n  text-align: left;\n  padding: 0.4rem 0;\n  box-sizing: border-box;\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  width: ", ";\n  min-width: 6rem;\n  position: relative;\n  border-radius: 3px;\n\n  &::after {\n    content: '';\n    position: absolute;\n    right: 10px;\n    top: 50%;\n    margin-top: -5px;\n    z-index: 1;\n    text-align: center;\n    width: 0;\n    height: 0;\n    border-left: 8px solid transparent;\n    border-right: 8px solid transparent;\n    border-top: 8px solid ", ";\n    pointer-events: none;\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Wrapper = _styledComponents.default.div(_templateObject(), function (props) {
  return props.width;
}, function (props) {
  return props.theme['dropdownArrowColor'];
});

var Select = _styledComponents.default.select(_templateObject2(), function (props) {
  return props.theme['dropdownColor'];
}, function (props) {
  return props.theme['fontPrimary'];
}, function (props) {
  return props.size;
}, function (props) {
  return props.weight;
}, function (props) {
  return props.uppercase ? 'uppercase' : props.capitalize ? 'capitalize' : 'none';
}, function (props) {
  return props.italic ? 'italic' : 'normal';
});

var SingleDropdown = function SingleDropdown(_ref) {
  var capitalize = _ref.capitalize,
      italic = _ref.italic,
      items = _ref.items,
      size = _ref.size,
      uppercase = _ref.uppercase,
      weight = _ref.weight,
      width = _ref.width,
      rest = _objectWithoutProperties(_ref, ["capitalize", "italic", "items", "size", "uppercase", "weight", "width"]);

  return _react.default.createElement(Wrapper, _extends({
    width: width
  }, rest), _react.default.createElement(Select, {
    capitalize: capitalize,
    italic: italic,
    size: size,
    uppercase: uppercase,
    weight: weight
  }, items.map(function (item) {
    return _react.default.createElement("option", {
      key: item.value,
      value: item.value
    }, item.text);
  })));
};

SingleDropdown.propTypes = {
  capitalize: _propTypes.default.bool,
  italic: _propTypes.default.bool,
  items: _propTypes.default.arrayOf(_propTypes.default.shape({
    text: _propTypes.default.string,
    value: _propTypes.default.any
  })).isRequired,
  onChange: _propTypes.default.func.isRequired,
  size: _propTypes.default.string,
  uppercase: _propTypes.default.bool,
  value: _propTypes.default.any,
  weight: _propTypes.default.oneOf([100, 200, 300, 400, 500, 600, 700, 800, 900]),
  width: _propTypes.default.string.isRequired
};
SingleDropdown.defaultProps = {
  capitalize: false,
  italic: false,
  size: '1rem',
  uppercase: false,
  weight: 300,
  width: '100%'
};
var _default = SingleDropdown;
exports.default = _default;